2019-01-16 17:30 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002064NetSurfRISC OS-specificpublic2015-03-10 10:42
ReporterRik Griffin 
Assigned ToJohn-Mark Bell 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformIyonixOSRISC OSOS Version5.20
Product Version3.0 
Target Version3.1Fixed in Version3.1 
Summary0002064: NetSurf leaves sockets open
DescriptionAfter running NetSurf for some time, network access for all applications seems to fail.

This seems to be because there are many sockets open (as shown by inetstat -ant) in the CLOSE_WAIT state. Quitting NetSurf removes all these sockets and the system resumes normal operation.
Steps To ReproduceRun Netsurf. Browse some web pages. Do "inetstat -ant" and observe many lingering sockets.
TagsNo tags attached.
Fixed in CI build #1695
Reported in CI build #1661
URL of problem page
Attached Files

-Relationships
+Relationships

+Notes

-Issue History
Date Modified Username Field Change
2014-01-30 15:25 Rik Griffin New Issue
2014-02-02 10:23 Vincent Sanders Status new => acknowledged
2014-02-02 10:23 Vincent Sanders Description Updated View Revisions
2014-02-05 10:21 Vincent Sanders Note Added: 0000184
2014-02-06 01:24 John-Mark Bell Fixed in CI build # => 1695
2014-02-06 01:24 John-Mark Bell Assigned To => John-Mark Bell
2014-02-06 01:24 John-Mark Bell Status acknowledged => resolved
2014-02-06 01:24 John-Mark Bell Resolution open => fixed
2014-02-06 01:24 John-Mark Bell Fixed in Version => 3.1
2014-02-06 01:24 John-Mark Bell Target Version => 3.1
2015-03-10 10:42 Vincent Sanders Note Added: 0000678
2015-03-10 10:42 Vincent Sanders Status resolved => closed
+Issue History